#!/bin/sh
#------------------------------------------------------------------------------
# dyndns.cgi - display the answers from the dyndns services
#
# Creation:     2001-08-27 twm
# Las change:   11.09.2001 tobig
#------------------------------------------------------------------------------

myname=`basename $0`

convname () {
  local part
  local nam
  
  nam=""

  for part in `echo $1 | tr "." " "` ; do
    if [ "$part" != "/var/run/answer" ] ; then
      if [ "$nam" != "" ] ; then
        nam="$nam."
      fi
      nam="$nam""$part"
    fi
  done
  echo -n "$nam"

  return 0
}


echo "Content-Type: text/html; charset=iso-8859-1"
echo "Cache-control: no-store" # HTTP/1.1 (or no-cache?)
echo "Pragma: no-cache"        # HTTP/1.0
echo "Expires: `date -Ru`"     # Expires now!
echo
echo "<html><head>"
echo '<LINK REL=STYLESHEET TYPE="text/css" HREF="main.css">'
echo "<title>Answers from DynDNS services</title>"
echo "</head><body bgcolor="#FFFFFF" text="#000000">"

echo "<h1>Answers from DynDNS services</h1>"

echo "<p>This table shows the answers the router got from"
echo "the services configured in"
echo "<a href=\"http://www.s2h.cx\">OPT_DYNDNS</a>.</p>"

echo "<table width=\"100%\" border=\"1\" cellpadding=\"5\">"
echo "<tr><th align=\"left\">service</th><th align=\"left\">answer</th></tr>"

for fn in /var/run/answer.*
do
  if [ -f $fn ]
  then
    echo "<tr><td valign=\"top\" align=\"left\">"
    echo "$fn" | sed 's/^[^\.]*.//'
    echo "</td><td><pre>"
    sed 's/<[^>]*>//g' $fn
    echo "</pre></td></tr>"
  fi
done

echo "</table></body></html>"
